From: "Marius Brehler" <marbre@linux.sungazer.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/arrayfire/
Date: Tue, 29 Nov 2016 10:16:03 +0000 (UTC) [thread overview]
Message-ID: <1480414517.7bb33356e38e27c166e9521f7f3744096877aa4d.marbre@gentoo> (raw)
commit: 7bb33356e38e27c166e9521f7f3744096877aa4d
Author: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Tue Nov 29 10:13:09 2016 +0000
Commit: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Tue Nov 29 10:15:17 2016 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=7bb33356
sci-libs/arrayfire: Version bump to 3.4.1
Package-Manager: portage-2.3.0
sci-libs/arrayfire/arrayfire-3.4.1.ebuild | 111 ++++++++++++++++++++++++++++++
1 file changed, 111 insertions(+)
diff --git a/sci-libs/arrayfire/arrayfire-3.4.1.ebuild b/sci-libs/arrayfire/arrayfire-3.4.1.ebuild
new file mode 100644
index 0000000..8c80bc3
--- /dev/null
+++ b/sci-libs/arrayfire/arrayfire-3.4.1.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cmake-utils multilib
+
+GTEST_PV="1.7.0"
+
+DESCRIPTION="A general purpose GPU library"
+HOMEPAGE="http://www.arrayfire.com/"
+SRC_URI="http://arrayfire.com/arrayfire_source/${PN}-full-${PV}.tar.bz2 -> ${P}.tar.bz2
+test? ( https://github.com/google/googletest/archive/release-${GTEST_PV}.zip -> gtest-${GTEST_PV}.zip )"
+KEYWORDS="~amd64"
+
+LICENSE="BSD
+ nonfree? ( OpenSIFT )"
+SLOT="0"
+IUSE="+examples +cpu cuda nonfree opencl test unified graphics"
+
+RDEPEND="
+ >=sys-devel/gcc-4.7:*
+ media-libs/freeimage
+ cuda? (
+ >=dev-util/nvidia-cuda-toolkit-8.0.44
+ dev-libs/boost
+ )
+ cpu? (
+ virtual/blas
+ virtual/cblas
+ virtual/lapacke
+ sci-libs/fftw:3.0
+ )
+ opencl? (
+ virtual/blas
+ virtual/cblas
+ virtual/lapacke
+ >=sci-libs/clblas-2.4
+ >=sci-libs/clfft-2.6.1
+ >=dev-libs/boost-1.61.0
+ dev-libs/opencl-clhpp
+ )
+ graphics? (
+ media-libs/glbinding
+ >=media-libs/glfw-3.1.1
+ =sci-visualization/forge-0.9.0
+ )"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${PN}-full-${PV}"
+BUILD_DIR="${S}/build"
+CMAKE_BUILD_TYPE=Release
+
+# We need write acccess /dev/nvidiactl, /dev/nvidia0 and /dev/nvidia-uvm and the portage
+# user is (usually) not in the video group
+RESTRICT="userpriv"
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ if [[ $(gcc-major-version) -lt 4 ]] || ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 7 ]] ) ; then
+ die "Compilation with gcc older than 4.7 is not supported."
+ fi
+ fi
+}
+
+src_unpack() {
+ default
+
+ if ! use nonfree; then
+ find "${WORKDIR}" -name "*_nonfree*" -delete || die
+ fi
+
+ if use test; then
+ mkdir -p "${BUILD_DIR}"/third_party/src/ || die
+ mv "${WORKDIR}"/gtest-"${GTEST_PV}" "${BUILD_DIR}"/third_party/src/googletest || die
+ fi
+}
+
+src_configure() {
+ if use cuda; then
+ addwrite /dev/nvidiactl
+ addwrite /dev/nvidia0
+ addwrite /dev/nvidia-uvm
+ fi
+
+ local mycmakeargs=(
+ -DBUILD_CPU="$(usex cpu)"
+ -DBUILD_CUDA="$(usex cuda)"
+ -DBUILD_OPENCL="$(usex opencl)"
+ -DBUILD_EXAMPLES="$(usex examples)"
+ -DBUILD_TEST="$(usex test)"
+ -DBUILD_GRAPHICS="$(usex graphics)"
+ -DBUILD_NONFREE="$(usex nonfree)"
+ -DBUILD_UNIFIED="$(usex unified)"
+ -DUSE_SYSTEM_BOOST_COMPUTE=ON
+ -DUSE_SYSTEM_CL2HPP=ON
+ -DUSE_SYSTEM_CLBLAS=ON
+ -DUSE_SYSTEM_CLFFT=ON
+ -DUSE_SYSTEM_FORGE=ON
+ -DUSE_SYSTEM_GLBINDING=ON
+ -DAF_INSTALL_CMAKE_DIR=/usr/$(get_libdir)/cmake/ArrayFire
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ dobin "${BUILD_DIR}/bin2cpp"
+}
next reply other threads:[~2016-11-29 10:16 UTC|newest]
Thread overview: 57+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-11-29 10:16 Marius Brehler [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-22 12:00 [gentoo-commits] proj/sci:master commit in: sci-libs/arrayfire/ Horea Christian
2021-01-20 8:40 Andrew Ammerlaan
2021-01-19 2:04 Aisha Tammy
2020-12-23 2:46 Aisha Tammy
2020-09-25 12:16 Aisha Tammy
2020-09-25 2:33 Aisha Tammy
2020-09-25 2:33 Aisha Tammy
2020-09-25 2:33 Aisha Tammy
2020-09-25 2:33 Aisha Tammy
2020-09-25 2:33 Aisha Tammy
2020-09-25 2:33 Aisha Tammy
2017-03-26 8:18 Justin Lecher
2017-01-02 8:42 Marius Brehler
2016-11-24 10:55 Marius Brehler
2016-05-20 14:03 Marius Brehler
2016-05-19 7:14 Marius Brehler
2016-01-12 11:07 Marius Brehler
2016-01-12 11:07 Marius Brehler
2016-01-08 13:16 Marius Brehler
2015-12-19 12:36 Marius Brehler
2015-12-04 17:44 Marius Brehler
2015-11-28 18:21 Marius Brehler
2015-11-24 14:36 Marius Brehler
2015-11-02 7:49 Marius Brehler
2015-10-06 21:38 Marius Brehler
2015-10-06 21:38 Marius Brehler
2015-10-01 6:06 Justin Lecher
2015-09-17 21:56 Jauhien Piatlicki
2015-09-15 13:34 Justin Lecher
2015-09-13 18:34 Justin Lecher
2015-09-09 7:11 Justin Lecher
2015-09-09 7:11 Justin Lecher
2015-08-27 15:01 Justin Lecher
2015-06-05 10:47 Justin Lecher
2015-06-03 10:21 Justin Lecher
2015-05-24 8:14 Justin Lecher
2015-02-20 2:02 Christoph Junghans
2015-02-02 12:06 Justin Lecher
2015-01-22 10:14 Justin Lecher
2015-01-22 0:09 Christoph Junghans
2015-01-15 6:53 Justin Lecher
2015-01-13 2:06 Christoph Junghans
2015-01-13 2:06 Christoph Junghans
2015-01-13 2:06 Christoph Junghans
2015-01-13 2:06 Christoph Junghans
2015-01-13 2:06 Christoph Junghans
2015-01-11 9:09 Justin Lecher
2015-01-11 9:09 Justin Lecher
2015-01-10 18:03 Justin Lecher
2015-01-10 18:03 Justin Lecher
2015-01-10 18:03 Justin Lecher
2015-01-10 18:03 Justin Lecher
2015-01-10 18:03 Justin Lecher
2015-01-10 18:03 Justin Lecher
2015-01-10 18:03 Justin Lecher
2015-01-10 18:03 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1480414517.7bb33356e38e27c166e9521f7f3744096877aa4d.marbre@gentoo \
--to=marbre@linux.sungazer.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox